Debian Bug report logs - #463655
linux-uvc-source: compile error on linux-image 2.6.24-2

version graph

Package: linux-uvc-source; Maintainer for linux-uvc-source is (unknown);

Reported by: alberto maurizi <moim@augh.net>

Date: Sat, 2 Feb 2008 00:24:02 UTC

Severity: grave

Merged with 465261

Found in version linux-uvc/0.1.0.svn120-2

Fixed in version linux-uvc/0.1.0.svn193-1

Done: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Bug#463655; Package linux-uvc-source. Full text and rfc822 format available.

Acknowledgement sent to alberto maurizi <moim@augh.net>:
New Bug report received and forwarded. Copy sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: alberto maurizi <moim@augh.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-uvc-source: compile error on linux-image 2.6.24-2
Date: Sat, 02 Feb 2008 01:20:25 +0100
Package: linux-uvc-source
Version: 0.1.0.svn120-2
Severity: grave
Justification: renders package unusable


Here is the log of m-a

dh_testdir
dh_testroot
dh_clean
/usr/bin/make -C /usr/src/modules/linux-uvc clean \
	KERNELPATH=/lib/modules/2.6.24-1-686/build KERNELRELEASE=2.6.24-1-686 KERNELCONF=/lib/modules/2.6.24-1-686/build/.config 
make[1]: Entering directory `/usr/src/modules/linux-uvc'
rm -f *.o *.ko .*.cmd .*.flags *.mod.c Module.symvers
rm -rf .tmp_versions
make[1]: Leaving directory `/usr/src/modules/linux-uvc'
/usr/bin/make  -f debian/rules kdist_clean kdist_config binary-modules
make[1]: Entering directory `/usr/src/modules/linux-uvc'
dh_testdir
dh_testroot
dh_clean
/usr/bin/make -C /usr/src/modules/linux-uvc clean \
	KERNELPATH=/lib/modules/2.6.24-1-686/build KERNELRELEASE=2.6.24-1-686 KERNELCONF=/lib/modules/2.6.24-1-686/build/.config 
make[2]: Entering directory `/usr/src/modules/linux-uvc'
rm -f *.o *.ko .*.cmd .*.flags *.mod.c Module.symvers
rm -rf .tmp_versions
make[2]: Leaving directory `/usr/src/modules/linux-uvc'
for templ in ; do \
    cp $templ `echo $templ | sed -e 's/_KVERS_/2.6.24-1-686/g'` ; \
  done
for templ in `ls debian/*.modules.in` ; do \
    test -e ${templ%.modules.in}.backup || cp ${templ%.modules.in} ${templ%.modules.in}.backup 2>/dev/null || true; \
    sed -e 's/##KVERS##/2.6.24-1-686/g ;s/#KVERS#/2.6.24-1-686/g ; s/_KVERS_/2.6.24-1-686/g ; s/##KDREV##/2.6.24-2/g ; s/#KDREV#/2.6.24-2/g ; s/_KDREV_/2.6.24-2/g  ' < $templ > ${templ%.modules.in}; \
  done
dh_testdir
dh_testroot
dh_clean -k
# Build modules
/usr/bin/make -C /usr/src/modules/linux-uvc uvcvideo \
	KERNEL_DIR=/lib/modules/2.6.24-1-686/build KERNEL_VERSION=2.6.24-1-686 KERNELCONF=/lib/modules/2.6.24-1-686/build/.config 
make[2]: Entering directory `/usr/src/modules/linux-uvc'
Building USB Video Class driver...
make[3]: Entering directory `/usr/src/linux-headers-2.6.24-1-686'
  CC [M]  /usr/src/modules/linux-uvc/uvc_driver.o
/usr/src/modules/linux-uvc/uvc_driver.c: In function 'uvc_register_video':
/usr/src/modules/linux-uvc/uvc_driver.c:1451: error: 'struct video_device' has no member named 'hardware'
make[4]: *** [/usr/src/modules/linux-uvc/uvc_driver.o] Error 1
make[3]: *** [_module_/usr/src/modules/linux-uvc] Error 2
make[3]: Leaving directory `/usr/src/linux-headers-2.6.24-1-686'
make[2]: *** [uvcvideo] Error 2
make[2]: Leaving directory `/usr/src/modules/linux-uvc'
make[1]: *** [binary-modules] Error 2
make[1]: Leaving directory `/usr/src/modules/linux-uvc'
make: *** [kdist_build] Error 2


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-uvc-source depends on:
ii  debhelper                     6.0.4      helper programs for debian/rules
ii  module-assistant              0.10.11.0  tool to make module package creati

linux-uvc-source recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Bug#463655; Package linux-uvc-source. Full text and rfc822 format available.

Acknowledgement sent to David <david.maillists@gmail.com>:
Extra info received and forwarded to list. Copy sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>. Full text and rfc822 format available.

Message #10 received at 463655@bugs.debian.org (full text, mbox):

From: David <david.maillists@gmail.com>
To: 463655@bugs.debian.org
Subject: Upstream version
Date: Sun, 3 Feb 2008 21:07:13 +0000
[Message part 1 (text/plain, inline)]
The latest upstream version builds smoothly:
http://linux-uvc.berlios.de/#download
[Message part 2 (text/html, inline)]

Merged 463655 465261. Request was from xavier douville <xavier@douville.org> to control@bugs.debian.org. (Thu, 14 Feb 2008 19:48:04 GMT) Full text and rfc822 format available.

Reply sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to alberto maurizi <moim@augh.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 463655-close@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: 463655-close@bugs.debian.org
Subject: Bug#463655: fixed in linux-uvc 0.1.0.svn193-1
Date: Thu, 13 Mar 2008 14:17:03 +0000
Source: linux-uvc
Source-Version: 0.1.0.svn193-1

We believe that the bug you reported is fixed in the latest version of
linux-uvc, which is due to be installed in the Debian FTP archive:

linux-uvc-source_0.1.0.svn193-1_all.deb
  to pool/main/l/linux-uvc/linux-uvc-source_0.1.0.svn193-1_all.deb
linux-uvc_0.1.0.svn193-1.diff.gz
  to pool/main/l/linux-uvc/linux-uvc_0.1.0.svn193-1.diff.gz
linux-uvc_0.1.0.svn193-1.dsc
  to pool/main/l/linux-uvc/linux-uvc_0.1.0.svn193-1.dsc
linux-uvc_0.1.0.svn193.orig.tar.gz
  to pool/main/l/linux-uvc/linux-uvc_0.1.0.svn193.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 463655@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nobuhiro Iwamatsu <iwamatsu@nigauri.org> (supplier of updated linux-uvc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 08 Mar 2008 18:04:19 +0900
Source: linux-uvc
Binary: linux-uvc-source
Architecture: source all
Version: 0.1.0.svn193-1
Distribution: unstable
Urgency: low
Maintainer: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Changed-By: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Description: 
 linux-uvc-source - Linux kernel USB video class module
Closes: 438797 448427 457903 463655 465261
Changes: 
 linux-uvc (0.1.0.svn193-1) unstable; urgency=low
 .
   * New upstream release.(Closes: #463655, #465261, #448427, #457903, #438797)
   * Update Debian-Policy Version.
   * Remove linux-uvc-tool.
     Replace isight-firmware-tools.
   * Add reset-on-timeout patch.
Files: 
 bf54b91ec54581a0878e6a26b7b70b55 650 graphics optional linux-uvc_0.1.0.svn193-1.dsc
 66bfbd37349b4df0c5df4ae80d95d2dc 90303 graphics optional linux-uvc_0.1.0.svn193.orig.tar.gz
 cc82c7c02a975b3ead762869d5b49f85 14789 graphics optional linux-uvc_0.1.0.svn193-1.diff.gz
 301c12820cb4fa0fb583d56428c273c6 48446 graphics optional linux-uvc-source_0.1.0.svn193-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH2TRU2Dd9TugeVcERAlb3AJ9ic9oZRLDMbyWtjlahcprmIY+TkQCeN6iq
kKXI6npI5jDhvdcU74UDtVg=
=xSlD
-----END PGP SIGNATURE-----





Reply sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Uwe Hermann <uwe@hermann-uwe.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 22 Apr 2008 07:51:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:11:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.